Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.sci
Class TypeNamespace

    java.lang.Object
      com.plumtree.remote.sci.TypeNamespace

public final class TypeNamespace
extends java.lang.Object

Type-safe enumeration of namespaces (representing object types).

Field Summary
`static TypeNamespace` | `NS_AUTH` `TypeNamespace` for Authentication Sources.
`static TypeNamespace` | `NS_CARD` `TypeNamespace` for Cards.
`static TypeNamespace` | `NS_CRAWL` `TypeNamespace` for Crawlers.
`static TypeNamespace` | `NS_DS` `TypeNamespace` for Data Sources.
`static TypeNamespace` | `NS_MIGRATION_EXPORT` `TypeNamespace` for Migration Export.
`static TypeNamespace` | `NS_MIGRATION_IMPORT` `TypeNamespace` for Migration Import.
`static TypeNamespace` | `NS_PROFILE` `TypeNamespace` for Profile Sources.
`static TypeNamespace` | `NS_SEARCH` `TypeNamespace` for Search services.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCode()` Gets the internal constant associated with this `TypeNamespace`.
`int` | `hashCode()`
`static TypeNamespace` | `parse(java.lang.String val)` Creates a `TypeNamespace` from a string.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS_DS

    public static final TypeNamespace NS_DS

  `TypeNamespace` for Data Sources.

### NS_PROFILE

    public static final TypeNamespace NS_PROFILE

  `TypeNamespace` for Profile Sources.

### NS_CARD

    public static final TypeNamespace NS_CARD

  `TypeNamespace` for Cards.

### NS_CRAWL

    public static final TypeNamespace NS_CRAWL

  `TypeNamespace` for Crawlers.

### NS_AUTH

    public static final TypeNamespace NS_AUTH

  `TypeNamespace` for Authentication Sources.

### NS_SEARCH

    public static final TypeNamespace NS_SEARCH

  `TypeNamespace` for Search services.

### NS_MIGRATION_IMPORT

    public static final TypeNamespace NS_MIGRATION_IMPORT

  `TypeNamespace` for Migration Import.

### NS_MIGRATION_EXPORT

    public static final TypeNamespace NS_MIGRATION_EXPORT

  `TypeNamespace` for Migration Export.

Method Detail

### getCode

    public java.lang.String getCode()

  Gets the internal constant associated with this `TypeNamespace`.

  Returns:
    string

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### parse

    public static TypeNamespace parse(java.lang.String val)

  Creates a `TypeNamespace` from a string.

  Parameters:
    `val` - a valid namespace
  Returns:
    `TypeNamespace`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.